# Use the API

### Anatomy of a Key

Our API authenticates users using the [OAuth Client Credentials standard](https://oauth.net/2/grant-types/client-credentials/)![](/files/i1X0t7ez6Vlx9HiwQQXC). This means that a **Client ID** and **Client Secret** are exchanged for a token which can be used to make requests.

* **Client ID -** The unique identifier making up the first half of your key
* **Client Secret -** A secret key used to verify your application's identity

We recommend using the industry standard OAuth client library for your stack to handle key-token exchanges.

### Create a Client ID, Client Secret pair

1. Go to the **Partner Tab**
2. Click refresh keys
3. Click **Ok** to accept that previously generated keys will be lost
4. Copy the **Client ID** and **Client Secret**\
   **Note:** the client secret must be copied here or it will be lost and new key pairs must be generated

### View your Client ID

1. Go to the **Partner** tab
2. You will see your Client ID under **API Keys**\
   ![](/files/iBOePNwFXMJbPf9YCNk8)

### Where is my Application Secret?

Application secrets are only available once, at the time of creation. Certn hashes application secrets on the backend and so it is not possible to retrieve the secrets once they've been created.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.certn.co/api/guides/use-the-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
